## cvs-buildpackage 5.23

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile<cvs-buildpackage> --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 23:49:49 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Nov 19 00:03:24 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 6
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix =
package= cvs-buildpackage

CONFLOC:=/etc/cvsdeb.conf
DOCDIR = $(prefix)/usr/share/doc/$(package)
MANDIR = $(prefix)/usr/share/man
MAN1DIR= $(MANDIR)/man1
MAN5DIR= $(MANDIR)/man5
ETCDIR = $(prefix)/etc
BINDIR = $(prefix)/usr/bin/

# install commands
install_file= install    -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory= install  -p -d -o root -g root -m 755

all build: check

check:
	bash -n cvs-buildpackage
	bash -n cvs-inject
	bash -n cvs-upgrade

install:
	$(make_directory)  $(DOCDIR)
	$(install_file)    debian/changelog    $(DOCDIR)/changelog
	$(install_file)    README              $(DOCDIR)/README
	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
	$(install_file)    get-orig.sh         $(DOCDIR)/get-orig.sh
	$(install_file)    cvs-pkginit         $(DOCDIR)/cvs-pkginit
	pod2man            cvs-pkginit >       $(DOCDIR)/cvs-pkginit.1
	$(install_file)    cvs-co-upgrade.1    $(DOCDIR)/cvs-co-upgrade.1
	$(install_file)    cvs-co-upgrade      $(DOCDIR)/cvs-co-upgrade
	$(install_file)    cvsdeb.conf.5       $(MAN5DIR)
	gzip -9fq                              $(MAN5DIR)/cvsdeb.conf.5
	$(install_file)    cvs-buildpackage.1  $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-buildpackage.1
	$(install_file)    cvs-inject.1        $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-inject.1
	$(install_file)    cvs-upgrade.1       $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-upgrade.1
	-gzip -9fqr                            $(DOCDIR)
	$(install_file)    debian/copyright    $(DOCDIR)/copyright
	$(install_file)    cvsdeb.conf         $(ETCDIR)/cvsdeb.conf
	$(install_program) cvs-buildpackage    $(BINDIR)
	$(install_program) cvs-inject          $(BINDIR)
	$(install_program) cvs-upgrade         $(BINDIR)

## cvs-buildpackage 1.14

=== debian/changelog ===
cvs-buildpackage (1.14) frozen unstable; urgency=low

  * BUG-FIX: Updated the cvsdeb.conf.5 man page to reflect new options
    included in the previous releases.
  * cvs-buildpackage now checks for and offers to abort if there are
    uncommitted files in the source tree.
  * Now, one may opt to have a default mechanism of gaining root access
    for a buildo (I always use fakeroot, and can now put it in
    /etc/cvsdeb.conf or ~/.cvsdeb,conf). One can now just call
    cvs-buildpackage with no options and build a package ;-)

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Apr 1998 10:52:12 -0600

cvs-buildpackage (1.13) unstable; urgency=low

  * Both cvs-inject and cvs-upgrade warn about the presence of symbolic
    links in the upstream source. CVS ignores these files, and without the
    warning data could be lost. The operation continues without error.
  * Both cvs-inject and cvs-upgrade warn about the presence of CVS
    directories in upstream source. This cannot be handled, and the
    operation aborts gracefully, and informs the user fo the offending
    directories. 
  * There is a new option to cvs-buildpackage (with env var and config
    file support too) to force a cvs tag -F operation before exporting the
    sources. This only works in the source directory (you know
    cvs-buildpackage couls be called from anywhere, as long as you give
    the repository, package name, and version, right?), since cvs tag does
    not make sense otherwise. The default is the old behaviour. 
    closes: Bug#20229.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Apr 1998 16:10:34 -0600

cvs-buildpackage (1.12) unstable; urgency=low

  * Fixed documentation typos. closes: Bug#19527

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 14 Mar 1998 23:34:27 -0600

cvs-buildpackage (1.11) unstable; urgency=low

  * Fixed typos in cvs-upgrade; and fixed the debian tag. closes: Bug#19528
  * Moved the setting of  cvsmodule lower in cvs-inject, so that $package
    is set. Closes: Bug#19612

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 14 Mar 1998 18:03:02 -0600

cvs-buildpackage (1.10) unstable; urgency=low

  * Added a missing quote to cvs-upgrade

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Mar 1998 01:01:24 -0600

cvs-buildpackage (1.9) unstable; urgency=low

  * Fixed typo in extended description. closes: Bug:18944

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Mar 1998 18:42:34 -0600

cvs-buildpackage (1.8) unstable; urgency=low

  * Changed >$2 into >&2 as it should have been in the first place in
    cvs-upgrade. 
  * cvs-upgrade and cvs-inject now follow cvs-buildpackage wrt -M and -x;
    -M is the module name, in toto, -x gives a default prefix to the
    module name, and can be set in the config file. Both may be set in env
    variables. closes: Bug#18734
  * All programs now look for and read ~/.cvsdeb.conf. closes: Bug#18742

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 Mar 1998 02:22:26 -0600

cvs-buildpackage (1.7) unstable; urgency=low

  * Fixed a typo in cvs-inject. closes: Bug#18523
  * Note that the current behaviour of cvs-{inject,upgrade} is to ignore
    files that match the default list of files to be ignored (this is
    built into cvs); and that any .cvsignore files in the upstream sources
    shall be honoured. This should be fine as long as upstream sources do
    not include files that match cvs ignore patterns. Currently, the
    default list of ignored file name patterns is:
    RCS SCCS CVS CVS.adm RCSLOG cvslog.* tags TAGS .make.state
    .nse_depinfo *~ #* .#* ,* _$* *$ *.old *.bak *.BAK *.orig *.rej .del-*
    *.a *.olb *.o *.obj *.so *.exe *.Z *.elc *.ln core

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Feb 1998 16:28:18 -0600

cvs-buildpackage (1.6) unstable; urgency=low

  * Upgraded to standards version 2.4.0.0
  * Fixed FSF address in the copyright files.
  * Added cvs-inject
  * added cvs-upgrade
  * This is now a complete set or programs for using cvs in debian
    development. 
  * Updated the HOWTO for the new programs.
  * Expanded the description. This version satisfies all know lintian
    warnings. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Feb 1998 01:59:26 -0600

cvs-buildpackage (1.5) unstable; urgency=low

  * Make sure that the copyright file is not compressed. closes:Bug#14382
  * Added documentation about cvs TAG conventions, and the fact that we
    ignore the epoch number in determining cvs tags (this is not a problem
    since cvs does not have to order the debian versions)
  * Preserve file modification information from the pristine sources.
  * *Not included* cvs-inject and cvs-upgrade, as they are not in a
    releasable state.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Dec 1997 14:32:43 -0600

cvs-buildpackage (1.04) unstable; urgency=low

  * Made the rootget <blah> commands always use full path name for <blah>,
    so it works with fakeroot. (specifically, two rm commands in the
    script were changed to /bin/rm). Reported by Andreas Jellinghaus
    <aj@dungeon.inka.de>.
  * Further enhanced the HOWTO with suggestions from Andreas Jellinghaus
    <aj@dungeon.inka.de>.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Aug 1997 14:53:20 -0500

cvs-buildpackage (1.03) unstable; urgency=low

  * Fixed a typo in the README file. This fixes BUG#12196.
  * Fixed a few typos in the HOWTO document (converted a few hyphens `-'
    into underscores `_'). 
  * The HOWTO example were putting the package name into the tags, updated
    the HOWTO to reflect the current working of the script (which does not
    put package names in tags).
  * Mentioned the example script cvs-pkginit in the HOWTO.
  * Rewrote the update import section of the HOWTO. Went through the whole
    HOWTO and updated the tags shown in the examples to be consistent, and
    reflect the script.
  * I do apologize for not checking the HOWTO, and people should not blame


=== debian/control ===
Source: cvs-buildpackage
Priority: optional
Section: devel
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 2.4.0.0

Package: cvs-buildpackage
Description: Debian package scripts for CVS source trees.
 This package provides the capability to inject or import Debian
 source packages into a CVS repository, build a Debian package from
 the CVS repository, and helps in integrating upstream changes into
 the repository. 
 .
 The import or inject process takes a dsc (Debian source control)
 file, and imports it into CVS. The module path can maintains
 distribution and section information; for example, one may inject
 hemm/hemm/devel/make into the repository.
 .
 The build process works analogously to dpkg-buildpackage, and can be
 used from within the checked out source tree, or with additional
 information, can be used from anywhere. In the latter case, you can
 build any previous version of the package, as long as the
 corresponding orig.tar.gz file is still around. The build script
 checks out the relevant version from the CVS repository, and runs
 dpkg-buildpackage to create the Debian package.
 .
 Combined, these utilities provide an infrastructure to facilitate the
 use of CVS by Debian maintainers. This allows one to keep separate
 CVS branches of a package for stable, unstable, and possibly
 experimental distributions, along with the other benefits of a
 version control system.
 .
 This can be used to generate a unified CVS source tree, for example.
Depends: dpkg-dev (>= 1.4.0.9)
Architecture: all

## cvs-buildpackage 2.12

=== debian/changelog ===
cvs-buildpackage (2.12) unstable; urgency=low

  * Fixed documentation rules about how the debian revision tag is
    generated. closes: BUG#28451
  * Mentioned in cvs-upgrade how to upgrade a working CVS directory using
    cvs update.
  * Ran a spell check on the HOWTO and README. closes: BUG#28452
  * Fixed a typo in cvs-inject.1, it should be upstream_version_, not
    upstream_versions_. closes: BUG#28459
  * Documented conf_prefix in cvsdeb.conf.5. closes: BUG#28460
  * Fixed a typo in cvs-upgrade that confused it while upgrading a
    Debian-only package. The apparent unquoted arguments to -m are a
    display artifact, as the report noted, the command does the right
    thing anyway. I do not think it is worth the effort required in fixing
    the anomaly, but I shall do so if there is sufficient demand. 
    closes: BUG#28461
  * Fixed more typos in cvsdeb.conf.5. Mentioned ~/.cvsdeb.conf there as
    well. Escaped the ~ in cvs-buildpackage.conf.1 closes: BUG#28536
  * Put in a safety check in cvs-inject to make it more paranoid about
    changing dirs. I can't reportduce problems people seem to be having. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Oct 1998 17:00:37 -0600

cvs-buildpackage (2.11) unstable; urgency=low

  * Use /tmp/$$/. directory instead of /tmp/$$.x files. close: Bug#27842 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 01:17:42 -0500

cvs-buildpackage (2.10) unstable; urgency=low

  * The cvs-buildpackage program now honors the CVSDEB_PREFIX environment
    variable, just like cvs-inject and cvs-upgrade programs. It does not
    honor the configuration variable conf_prefix (it never has), and this
    is now documented.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Sep 1998 02:56:51 -0500

cvs-buildpackage (2.09) unstable; urgency=low

  * Fix a couple of typos involving version and name specification.
    closes: BUG#26973, BUG#26974

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Sep 1998 01:21:38 -0500

cvs-buildpackage (2.08) unstable; urgency=low

  * cvs-upgrade: update the documents emphasizing that the code needs to
    be checked out again using cvs co -j -j options. 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Sep 1998 02:25:27 -0500

cvs-buildpackage (2.07) unstable; urgency=low

  * Do not include the name of the module as part of tag when trying to
    reconstitute the orig file. closes: BUG#26632


 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Sep 1998 12:54:12 -0500

cvs-buildpackage (2.06) unstable; urgency=low

  * Added missing quote in cvs-inject.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Sep 1998 04:53:00 -0500

cvs-buildpackage (2.05) unstable; urgency=low

  * cd to the working dir for cvs-buildpackage to work around a bug in
    CVS. closes: BUG#26251

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Sep 1998 00:03:34 -0500

cvs-buildpackage (2.04) unstable; urgency=low

  * Removed most unneeded eval invocations from the scripts. Thanks to Ian
    Jackson for piting this out. 
  * Make dpkg_options a Bash array variable, so that one can
    transparently pass arguments off to dpkg-buildpackage. Without this,
    we were splitting up spaces in arguments while passing it to
    dpkg-buildpackage. closes: BUG#26237
  * Moved the verbose help section in cvs-upgrade to the front, so that
    error messages during upgrade do not get lost.
  * Document that conf_dpkg_options is also an array variable now. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Aug 1998 13:46:48 -0500

cvs-buildpackage (2.03) unstable; urgency=low

  * Incorporated patch for the HOWTO file from Adam P. Harris
    <apharris@burrito.onshore.com> which fixes typos and clariies a few
    things. closes: BUG#25550
  * Added a dependency for cvs (should have done that earlier), since we
    need it to do _anything_. closes: BUG#25551

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Aug 1998 15:47:47 -0500

cvs-buildpackage (2.02) unstable; urgency=low

  * Anchor the regular expressions in cvs-inject and cvs-buildpackage. The
    upstream version would otherwise be parsed incorrectly.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 24 Jul 1998 14:00:48 -0500

cvs-buildpackage (2.01) unstable; urgency=low

  * Modified the man pages to indicate how users may import files which are
    normally ignored by CVS.
  * Modified the conffile to report the real location of the
    defaults. Took the option to fix spellings. Patch by "Karl
    M. Hegbloom" <karlheg@inetarena.com> closes: Bug#23701
  * Added even more documentation to emphasize the fact that setting the
    working directory directly makes the root directory setting
    irrelevant; in other words, the root directory is merely used to
    derive a default for the working directory. closes: BUG#23627

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Jul 1998 11:51:42 -0500

=== debian/control ===
--- 
+++ 
@@ -31,5 +31,5 @@
  version control system.
  .
  This can be used to generate a unified CVS source tree, for example.
-Depends: dpkg-dev (>= 1.4.0.9)
+Depends: dpkg-dev (>= 1.4.0.9), cvs
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@pilgrim.umass.edu )
## Created On	    : Sat Apr 27 06:36:31 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Feb 27 16:31:04 1998
## Last Machine Used: tiamat.datasync.com
## Update Count	    : 121
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################

# The name of the package (for example, `emacs').
package = $(shell grep Source debian/control | sed 's/^Source: //')

FILES_TO_CLEAN = debian/files debian/buildinfo debian/substvars
STAMPS_TO_CLEAN =  stamp-binary
DIRS_TO_CLEAN  = debian/tmp

CONFLOC:=/etc/cvsdeb.conf
SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
DOCDIR := debian/tmp/usr/doc/$(package)

# install commands
install_file= install    -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory= install  -p -d -o root -g root -m 755
thisdir=$(shell pwd)

all build:
# Builds the binary package.

clean:
	$(checkdir)
	rm -f $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -f -r debian/tmp
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
                -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
                -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS

binary: binary-arch binary-indep

binary-arch: build
# builds the architecture dependent part

binary-indep: build stamp-binary

stamp-binary:
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	rm -rf debian/tmp  debian/tmp.deb
	$(make_directory)  debian/tmp/DEBIAN
	$(make_directory)  debian/tmp/etc
	$(make_directory)  debian/tmp/usr/bin
	$(make_directory)  debian/tmp/usr/man/man1
	$(make_directory)  debian/tmp/usr/man/man5
	$(make_directory)  $(DOCDIR)
	$(install_file)    debian/conffiles    debian/tmp/DEBIAN/conffiles
	$(install_file)    debian/changelog    $(DOCDIR)/changelog
	$(install_file)    README              $(DOCDIR)/README
	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
	$(install_file)    cvs-pkginit         $(DOCDIR)/cvs-pkginit
	pod2man            cvs-pkginit >       $(DOCDIR)/cvs-pkginit.1
	$(install_file)    cvsdeb.conf.5       debian/tmp/usr/man/man5/
	$(install_file)    cvs-buildpackage.1  debian/tmp/usr/man/man1
	$(install_file)    cvs-inject.1        debian/tmp/usr/man/man1
	$(install_file)    cvs-upgrade.1        debian/tmp/usr/man/man1
	-gzip -9fqr        debian/tmp/usr/man/
	-gzip -9fqr        $(DOCDIR)
	$(install_file)    debian/copyright    $(DOCDIR)/copyright
	$(install_file)    cvsdeb.conf         debian/tmp/etc/cvsdeb.conf
	$(install_program) cvs-buildpackage    debian/tmp/usr/bin/
	$(install_program) cvs-inject          debian/tmp/usr/bin/
	$(install_program) cvs-upgrade         debian/tmp/usr/bin/
	dpkg-gencontrol
	chown -R root.root debian/tmp/
	chmod -R go=rX     debian/tmp/
	dpkg --build       debian/tmp ..
	touch              stamp-binary

define checkdir
        @test -f  cvs-buildpackage -a -f debian/rules || \
          (echo Not in correct source directory; exit 1)
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## cvs-buildpackage 3.18

=== debian/changelog ===
cvs-buildpackage (3.18) frozen unstable; urgency=low

  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 02:59:59 -0600

cvs-buildpackage (3.17) frozen unstable; urgency=low

  * Fixed a couple of typos in cvs-inject, which could potentially cause
    data loss (changed an test -f test into a test -e test). This needs to
    go into potato.
  * Use absolute links when related links would not work, for the
    /usr/doc/latex2tml symlink. 
  * Add into the docs that the scratch working directory should not be a
    subdirectory of CVSROOT, since cvs is very likely to refuse to export
    a package there.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Mar 2000 01:21:33 -0600

cvs-buildpackage (3.16) frozen unstable; urgency=low

  * Fixed typos in cvs-upgrades informational output. closes: Bug#58564
  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

cvs-buildpackage (3.15) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 14:47:27 -0600

cvs-buildpackage (3.14) frozen unstable; urgency=medium

  * Un backwhacked tildes in man pages. closes: Bug#50884
  * Do not use $() in a double quote context. closes: Bug#47646
  * Added a strict check configuration option. closes: Bug#50839
  * Fix a typo: %changes -> $changes. closes: Bug#52758

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Jan 2000 16:08:53 -0600

cvs-buildpackage (3.13) unstable; urgency=low

  * Made cvs-inject (optionally) more permissive. I did not apply the
    patch in the big report directly, since the package being injected is
    in violation of policy; and I would rather let the human
    decide. Courtesy of Joey Hess closes: Bug#44041
  * Added blank space in directory name handling for cvs-inject, using the
    patrch in the report. Courtesy of Joey Hess  (this is really ugly,
    joey) closes: Bug#44564
  * Documented the fact that one has to update the working directory
    manually after cvs-upgrade is run. closes: Bug#45327
  * Moved to FHS compliance.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 Oct 1999 06:56:37 -0500

cvs-buildpackage (3.12) unstable; urgency=low

  * Finally fix exessive quoting (I hope). closes: Bug#43639
  * Added a work around for CVS bug reported in 24585. 
    closes: Bug#43409

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 30 Aug 1999 22:17:47 -0500

cvs-buildpackage (3.11) unstable; urgency=high

  * discovered a thinko because of which cvs-buildpackage was ignoring
    module prefixes in some cases. Reported by Joey Hess.
  * Added a section detailing the predefined variable to the cvsdeb.conf.5
    man page.
  * Added support for using the Debian changelog entry as the CVS entry in
    cvs-inject and cvs-upgrade (conf file and env variable, no command
    line option yet).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 10:58:52 -0500

cvs-buildpackage (3.10) unstable; urgency=low

  * Removed quotes around the file names in arg to rm. closes: Bug#43191
  * Mentioned in various places in the HOWTO that if you use the
    CVSROOT/debian dir, you also need to set conf_prefix=debian in the
    config file. closes: Bug#41109
  * I have been unable to reproduce 34545, and after several unsuccesful
    attempts to get additional information from the reporter, I am closing
    this report. closes: Bug#34545

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 02:30:06 -0500

cvs-buildpackage (3.09) unstable; urgency=low

  * Added patch from Karl M. Hegbloom
    * cvs-upgrade (argv): Ditto.
    * cvs-inject (opt_dsc): Remove quotes around $CVS_QUIET so that
      when it is empty, there isn't a null argv[n] passed to `cvs'; the
      argument just goes away.
    * Use an array variable to pass args to $action whenever there
      are arguments to be passed that have spaces in them.
  * closes: Bug#38905

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 Jun 1999 23:30:05 -0500

cvs-buildpackage (3.08) unstable; urgency=low

  * Changed read $ans to read ans all over the place. closes: Bug#38532

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Jun 1999 17:36:05 -0500

cvs-buildpackage (3.07) unstable; urgency=low

  * Fix logical error in handling CVSDEB_PREFIX. closes:Bug#37808

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 May 1999 22:39:27 -0500

cvs-buildpackage (3.06) unstable; urgency=low

  * Added a new option (-F) to cvs-inject and cvs-upgrade, since they were
    really choking on symbolic links. There are two things CVS may choke
    on symbolic links and CVS directories in the source tree. Also, there
    are times when one may not want to honour the upstream files.  Without
    this option, the cvs-inject program shall exit with an error
    message. This option causes cvs-inject to ask whether you want to
    delete the offending files.  If you answer y, it removes them and
    continues; else it shall exit with an error message.  This argument
    overrides the settings in the environment variable CVSDEB_FORCECLEAN,
    which in turn overrides the setting in the configuration file,
    conf_forceclean.
    This seems to work for me, but my tests have been contrived. I'd
    appreciate it if people were to test these. 
    closes: Bug#34457, Bug#35538

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 May 1999 23:50:12 -0500

cvs-buildpackage (3.05) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.1.0
 
 Package: cvs-buildpackage
+Priority: optional
+Section: devel
 Description: Debian package scripts for CVS source trees.
  This package provides the capability to inject or import Debian
  source packages into a CVS repository, build a Debian package from
@@ -31,5 +33,5 @@
  version control system.
  .
  This can be used to generate a unified CVS source tree, for example.
-Depends: dpkg-dev (>= 1.4.0.9), cvs
+Depends: dpkg-dev (>= 1.4.0.9), cvs, fileutils (>= 4.0)
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,19 @@
 ## Created On	    : Sat Apr 27 06:36:31 1996
 ## Created On Node  : melkor.pilgrim.umass.edu
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Fri Feb 27 16:31:04 1998
-## Last Machine Used: tiamat.datasync.com
-## Update Count	    : 121
+## Last Modified On : Tue Feb  8 14:45:22 2000
+## Last Machine Used: glaurung.green-gryphon.com
+## Update Count	    : 126
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
 ##
 ###############################################################################
+
+#
+# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
+#                          sed 's/^Version: *//')
+#
 
 # The name of the package (for example, `emacs').
 package = $(shell grep Source debian/control | sed 's/^Source: //')
@@ -23,7 +28,8 @@
 
 CONFLOC:=/etc/cvsdeb.conf
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
-DOCDIR := debian/tmp/usr/doc/$(package)
+DOCDIR := debian/tmp/usr/share/doc/$(package)
+
 
 # install commands
 install_file= install    -p    -o root -g root -m 644
@@ -50,33 +56,38 @@
 binary-indep: build stamp-binary
 
 stamp-binary:
-	@test root = "`whoami`" || (echo need root priviledges; exit 1)
+	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
+		(echo need root priviledges; exit 1)
 	$(checkdir)
 	rm -rf debian/tmp  debian/tmp.deb
 	$(make_directory)  debian/tmp/DEBIAN
 	$(make_directory)  debian/tmp/etc
 	$(make_directory)  debian/tmp/usr/bin
-	$(make_directory)  debian/tmp/usr/man/man1
-	$(make_directory)  debian/tmp/usr/man/man5
+	$(make_directory)  debian/tmp/usr/share/man/man1
+	$(make_directory)  debian/tmp/usr/share/man/man5
 	$(make_directory)  $(DOCDIR)
+	$(install_program) debian/postinst     debian/tmp/DEBIAN/postinst
+	$(install_program) debian/prerm        debian/tmp/DEBIAN/prerm
 	$(install_file)    debian/conffiles    debian/tmp/DEBIAN/conffiles
 	$(install_file)    debian/changelog    $(DOCDIR)/changelog
 	$(install_file)    README              $(DOCDIR)/README
 	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
 	$(install_file)    cvs-pkginit         $(DOCDIR)/cvs-pkginit
 	pod2man            cvs-pkginit >       $(DOCDIR)/cvs-pkginit.1
-	$(install_file)    cvsdeb.conf.5       debian/tmp/usr/man/man5/
-	$(install_file)    cvs-buildpackage.1  debian/tmp/usr/man/man1
-	$(install_file)    cvs-inject.1        debian/tmp/usr/man/man1
-	$(install_file)    cvs-upgrade.1        debian/tmp/usr/man/man1
-	-gzip -9fqr        debian/tmp/usr/man/
+	$(install_file)    cvsdeb.conf.5       debian/tmp/usr/share/man/man5/
+	$(install_file)    cvs-buildpackage.1  debian/tmp/usr/share/man/man1
+	$(install_file)    cvs-inject.1        debian/tmp/usr/share/man/man1
+	$(install_file)    cvs-upgrade.1       debian/tmp/usr/share/man/man1
+	$(install_file)    cvs-co-upgrade.1    debian/tmp/usr/share/man/man1
+	-gzip -9fqr        debian/tmp/usr/share/man/
 	-gzip -9fqr        $(DOCDIR)
 	$(install_file)    debian/copyright    $(DOCDIR)/copyright
 	$(install_file)    cvsdeb.conf         debian/tmp/etc/cvsdeb.conf
 	$(install_program) cvs-buildpackage    debian/tmp/usr/bin/
 	$(install_program) cvs-inject          debian/tmp/usr/bin/
 	$(install_program) cvs-upgrade         debian/tmp/usr/bin/
-	dpkg-gencontrol
+	$(install_program) cvs-co-upgrade      debian/tmp/usr/bin/
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp/
 	chmod -R go=rX     debian/tmp/
 	dpkg --build       debian/tmp ..

## cvs-buildpackage 3.42

=== debian/changelog ===
cvs-buildpackage (3.42) unstable; urgency=high

  * Urk, Did not include part of the patch to fix versions numbers, and
    now we translate newlines at the ned of var names to spurious _'s. 
                                                             closes: Bug#134998

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Feb 2002 09:08:54 -0600

cvs-buildpackage (3.41) unstable; urgency=low

  * Thetr expression introduced in the previous version was bogus. Many
    thanks to Peter Muir <iyhi@yahoo.com> for catching tghe error, coming
    up with a solution, and testing it.  I generalized it to all three
    scripts.                                                 closes: Bug#134746

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Feb 2002 22:30:44 -0600

cvs-buildpackage (3.40) unstable; urgency=low

  * It appears that cvs-buildpackage will generate a tag such as
    upstream_version_3_37+2_3_1 from a version number 3.37+2.3.1. However,
    only [-_a-zA-Z0-9] are valid in tags, so really instead of just
    translating . to _, every non-[-_a-zA-Z0-9] character should probably
    be so translated.                                        closes: Bug#134496

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 17 Feb 2002 20:33:53 -0600

cvs-buildpackage (3.39) unstable; urgency=low

  * Fixed a minor typo.                                      closes: Bug#133826

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Feb 2002 18:29:11 -0600

cvs-buildpackage (3.38) unstable; urgency=low

  * cvs-upgrade has the same bug cvs-inject had.             closes: Bug#132029

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Feb 2002 14:11:24 -0600

cvs-buildpackage (3.37) unstable; urgency=low

  * Fixed typo that broke the upstream tag when usig the ctp option. 
                                                 closes: Bug#130195, Bug#130198

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Jan 2002 22:25:03 -0600

cvs-buildpackage (3.36) unstable; urgency=low

  * Specify that the working directory specification needs be an absolute
    path name.                                               closes: Bug#122975

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Dec 2001 16:41:49 -0600

cvs-buildpackage (3.35) unstable; urgency=low

  * Remove mention of /usr/doc from the package.             closes: Bug#121975
  * Put quotes around rm -rf                                 closes: Bug#119552

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  1 Dec 2001 19:12:17 -0600

cvs-buildpackage (3.34) unstable; urgency=low

  *  -d	Use the file's modification time as the time of import. Since we
    were not using this during import, we were losing information about
    timestamps. Using -d should set the timestamps to whatever they are in
    the upstream sources.                                    closes: Bug#117982
  * The cvs-co-upgrade code does not grok epochs, so a fatal warning has
    now been added to with a rider, and is not longer fatal. closes: Bug#118661

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Nov 2001 15:22:04 -0600

cvs-buildpackage (3.33) unstable; urgency=low

  * For packages with versions in the name, using the -ctp option is not
    possible due to cvs choking on the '.' in the tag. This was fixed
    thanks to Stephen Zander <gibreel@pobox.com>             closes: Bug#112949
  * The leading ./ was confusing cvs-co-upgrade. Fixed thanks to Rob
    Browning <rlb@defaultvalue.org>                          closes: Bug#113088

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 21 Sep 2001 22:13:45 -0500

cvs-buildpackage (3.32) unstable; urgency=low

  * changes start on the same line as "Imported..." and "Added...", which
    was ugly.                                                closes: Bug#108229

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Aug 2001 02:46:07 -0500

cvs-buildpackage (3.31) unstable; urgency=low

  * Added additional information in cvs-upgrade while checking in stuff. 
                                                             closes: Bug#104355

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Jul 2001 12:07:00 -0500

cvs-buildpackage (3.30) unstable; urgency=low

  * Fixed a typo in cvs-inject man page.                     closes: Bug#101661
  * cvs-buildpackage currently checks whether the upstream source contains
    a directory named debian but doesn't use this info later on.  This has
    now been fixed.                                           closes: Bug#97423
  * Use cvs rtag to delete the current tag on all files (even those in the
    attic). This deals with the following case: (a) tag with
    debian_version_2_8_7 (b) remove file 'foo.c' (cvs rm; cvs ci), (c)
    retag. With 'cvs tag' it won't remove the tag from the file foo.c;
    with 'cvs rtag', it will. When invoking cvs-buildpackage -F rtag has
    the right semantics.                                     closes: Bug#101818
  * Set CVSROOT if empty and CVS/Root is present (abort if we can't figure
    out what CVSROOT should be (all this is in cvs-buildpackage proper). 
                                                             closes: Bug#101822

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Jul 2001 15:23:08 -0500

cvs-buildpackage (3.29) unstable; urgency=low

  * A patch from  Henrique de Moraes Holschuh <hmh@debian.org> fixes a
    missing quote, as well as providing other clean up. closes: Bug#96713
  *  ore -> more. closes: Bug#96741
  * Fixed typo and other problems with an error echo in
    cvs-co-upgrade. Thanks to  Julian Gilbey <J.D.Gilbey@qmw.ac.uk> for
    catching this. closes: Bug#96742
  * Fix cvs-co-upgrade with a different reg exp for building lists of
    files, again thanks to Julian Gilbey <J.D.Gilbey@qmw.ac.uk>.
    close: Bug#96743

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 May 2001 17:30:51 -0500

cvs-buildpackage (3.28) unstable; urgency=low

  * Handle source which unpacks flat (i.e., not into one single


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.0.1.0
+Standards-Version: 3.5.5.0
 
 Package: cvs-buildpackage
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,29 @@
 ## Created On	    : Sat Apr 27 06:36:31 1996
 ## Created On Node  : melkor.pilgrim.umass.edu
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Tue Feb  8 14:45:22 2000
+## Last Modified On : Mon Nov 12 15:28:58 2001
 ## Last Machine Used: glaurung.green-gryphon.com
-## Update Count	    : 126
+## Update Count	    : 130
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
 ##
 ###############################################################################
+
+ifdef ARCH
+  ha:=-a$(ARCH)
+endif
+
+# set the dpkg-architecture vars
+export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
+export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
+export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
+export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
+export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
+export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
+export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
+export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)
+
 
 #
 # VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
@@ -27,8 +42,10 @@
 DIRS_TO_CLEAN  = debian/tmp
 
 CONFLOC:=/etc/cvsdeb.conf
-SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
-DOCDIR := debian/tmp/usr/share/doc/$(package)
+SRCTOP = $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
+TMPTOP = $(SRCTOP)/debian/tmp
+DOCDIR = $(TMPTOP)/usr/share/doc/$(package)
+LINTIANDIR= $(TMPTOP)/usr/share/lintian/overrides
 
 
 # install commands
@@ -66,6 +83,9 @@
 	$(make_directory)  debian/tmp/usr/share/man/man1
 	$(make_directory)  debian/tmp/usr/share/man/man5
 	$(make_directory)  $(DOCDIR)
+	$(make_directory)  $(LINTIANDIR)
+	echo  'cvs-buildpackage: postinst-does-not-set-usr-doc-link' \
+                           >> $(LINTIANDIR)/cvs-buildpackage
 	$(install_program) debian/postinst     debian/tmp/DEBIAN/postinst
 	$(install_program) debian/prerm        debian/tmp/DEBIAN/prerm
 	$(install_file)    debian/conffiles    debian/tmp/DEBIAN/conffiles

## cvs-buildpackage 5.17

=== debian/changelog ===
cvs-buildpackage (5.17) unstable; urgency=low

  * Bug fix: "typo in /usr/bin/cvs-buildpackage", thanks to Bastian
    Kleineidam                                    (Closes: #248101).
  * Bug fix: "cvs-inject: unknown option -v (mentioned in manpage)",
    thanks to Henrique de Moraes Holschuh         (Closes: #249630).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Jun 2004 12:14:34 -0500

cvs-buildpackage (5.16) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: use apt to get .orig.tar.gz from Debian
    mirror", thanks to Henning Makholm. This adds an -A option to
    cvs-buildpackage, which makes it try apt-get for producing missing
    .orig.tar.gz files. The option is not on by default, because that
    might cause systems with dial-up net access to try to bring the link
    up unexpectedly (or lead to long time-out delays while apt tries to
    contact a mirror). Many thanks for this functionality. 
                                                       (Closes: #227995). 
  * Bug fix: "cvs-upgrade(1) still refers to cvs-co-upgrade", thanks to
    Matt Zimmerman                                     (Closes: #227582).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 19:50:28 -0600

cvs-buildpackage (5.15) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: missing newline at end of
    /etc/cvsdeb.conf", thanks to Julian Gilbey (Closes: #225068).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Jan 2004 11:53:43 -0600

cvs-buildpackage (5.14) unstable; urgency=low

  * Bug fix: "typo (-- vs. -) in description in cvs-inject manpage",
    thanks to Anthony DeRobertis                         (Closes: #222802).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  6 Dec 2003 10:04:53 -0600

cvs-buildpackage (5.13) unstable; urgency=low

  * Change usage message of cvs-buildpackage to correctly document -m and
    -d.                                                closes: Bug#217944

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 31 Oct 2003 12:52:31 -0600

cvs-buildpackage (5.12) unstable; urgency=low

  * cvs-upgrade rejects "-v" (verbose) option due to a typo in the getopt
    invocation. Thanks to David Coe <davidc@debian.org> closes: Bug#209372

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Sep 2003 14:57:30 -0500

cvs-buildpackage (5.11) unstable; urgency=low

  * Handle the case where upstream tarballs have files where the owner
    does not have write permissions, causing rm -rf of the temp dir to
    fail.                                               closes: Bug#207285

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Aug 2003 03:04:25 -0500

cvs-buildpackage (5.10) unstable; urgency=medium

  * The quotes around the $cvsdeb_packageopts variable were causing
    problems when the variable was empty. Fixed.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Aug 2003 12:24:16 -0500

cvs-buildpackage (5.09) unstable; urgency=low

  * Added a new configuration file option to allow appending options to
    the buildpackage program. There are options alerady for the default
    dpkg-buildpackage script, and you can change it (to pbuilder, say) and
    prepend options to the builder ptogram, this new option allows you to
    append options to the builder package invocation.
  * Changed the chown invocation in the rules file to use : as a
    separator, not ., to meet the latest POSIX rules.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 18 Aug 2003 14:01:16 -0500

cvs-buildpackage (5.08) unstable; urgency=low

  * Added examples to the man pages and the HOWTO to show how to hook into
    the pbuilder system for building debian packages in a chroot.
  * Now cvs-buildpackage sets the value of CVSROOT from the CVS/Root file.
                                                             closes: Bug#199259

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  3 Jul 2003 13:29:32 -0500

cvs-buildpackage (5.07) unstable; urgency=low

  * Add the long --help option in addition to the -h option. closes: Bug#190580

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Apr 2003 14:18:08 -0500

cvs-buildpackage (5.06) unstable; urgency=low

  * Add a missing .TP in cvs-buildpackage(1).                closes: Bug#189674

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Apr 2003 23:40:41 -0500

cvs-buildpackage (5.05) unstable; urgency=low

  * The rdiff patch introduced in 5.03 changed the standard fullexport
    behaviour: In fullexport mode, cvs-buildpackage now always exports the
    upstream source from CVS, even if an .orig.tar.gz is present. The
    patch from Daniel Kobras <kobras@debian.org> fixes this. closes: Bug#188700
  * Fixed man page typo.                                     closee: Bug#188506

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Apr 2003 17:04:52 -0500

cvs-buildpackage (5.04) unstable; urgency=low

  * Fixed typo to make -op work.                             closes: Bug#186427

 -- Manoj Srivastava <srivasta@acm.org>  Thu, 27 Mar 2003 01:17:51 -0600

cvs-buildpackage (5.03) unstable; urgency=low

  * Added a major change (initially coded by David B. Harris, and expanded
    by me) to include a alternate mechanism for cvs-buildpackage; rather
    than just exporting the module out of CVS, we can unpack the original
    tarfile, and apply a patch to bring it up to date. This is useful if
    the repository is remote. This does have its drawbaclks: since patch
    does not generally create files with the correct permissions, special
    care has to be taken to ensure the permissions are right; a hook has
    been provided for a script to run and fix the permissions back
    up. Also, export processes the CVS keywords, whoch won't be done in
    the rdiff approach. The default remain the old way of doing things.
                                                             closes: Bug#186205

 -- Manoj Srivastava <srivasta@acm.org>  Wed, 26 Mar 2003 00:37:04 -0600

cvs-buildpackage (5.02) unstable; urgency=low



## cvs-buildpackage 5.18

=== debian/changelog ===
cvs-buildpackage (5.18) unstable; urgency=low

  * Fixed use of tail as well.
  * Bug fix: "/usr/bin/cvs-inject: deprecated use of `head -1'", thanks to
    Robert Luberda                                        (Closes: #270604).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Sep 2004 16:32:37 -0500

## cvs-buildpackage 5.19

=== debian/changelog ===
cvs-buildpackage (5.19) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: missing -b option in getopt()", thanks to
    Marcelo Bezerra (Closes: #298947).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 02:57:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.5.5.0
+Standards-Version: 3.6.1.0
 
 Package: cvs-buildpackage
 Priority: optional
 Section: devel
-Description: Debian package scripts for CVS source trees.
+Description: A set of Debian package scripts for CVS source trees.
  This package provides the capability to inject or import Debian
  source packages into a CVS repository, build a Debian package from
  the CVS repository, and helps in integrating upstream changes into
@@ -33,5 +33,5 @@
  version control system.
  .
  This can be used to generate a unified CVS source tree, for example.
-Depends: dpkg-dev (>= 1.4.0.9), cvs, fileutils (>= 4.0)
+Depends: dpkg-dev (>= 1.4.0.9), cvs
 Architecture: all

## cvs-buildpackage 5.20

=== debian/changelog ===
cvs-buildpackage (5.20) unstable; urgency=low

  * Bug fix: "cvs-buildpackage: typos in 'cvs-upgrade -n'
    output", thanks to Henning Makholm                    (Closes: #322944).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Sep 2005 13:26:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2.0
 
 Package: cvs-buildpackage
 Priority: optional

## cvs-buildpackage 5.21

=== debian/changelog ===
cvs-buildpackage (5.21) unstable; urgency=low

  * Fixed minor typos in man pages.
  * Bug fix: "cvs-buildpackage: Unknown macro in cvs-upgrade.1,
    cvsdeb.conf.5 and cvs-inject.1", thanks to Thomas Huriaux 
                                                          (Closes:  #421012).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 07 Jul 2007 11:57:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: cvs-buildpackage
+XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/cvs-buildpackage
+XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/cvs-buildpackage?expand
 Priority: optional
 Section: devel
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.0
 
 Package: cvs-buildpackage
 Priority: optional

## cvs-buildpackage 5.22

=== debian/changelog ===
cvs-buildpackage (5.22) unstable; urgency=low

  * Orphan the package. I no longer use CVS, and am unable to spend time
    maintaining this as well as this deserves.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Apr 2008 00:36:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: cvs-buildpackage
-XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/cvs-buildpackage
-XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/cvs-buildpackage?expand
 Priority: optional
 Section: devel
-Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.7.2.0
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.7.3.0
 
 Package: cvs-buildpackage
 Priority: optional
